AMMT(8)

NAME
ammt - AMANDA version of mt

SYNOPSIS

ammt [-d] [-f | -t | device] command [count]

DESCRIPTION

Ammt provides just enough of the standard UNIX mt command for the needs of AMANDA. This is handy when doing a full restore and the standard mt program has not yet been found.

Ammt also provides access to the AMANDA output drivers that support various tape simulations.

See the amanda(8) man page for more details about AMANDA. See the OUTPUT DRIVERS section of amanda(8) for more information on the AMANDA output drivers.

OPTIONS

-d  Turn on debugging output.

-f device
    Access tape device device. If not specified, the TAPE environment variable is used.

-t device
    Same as -f.

command count
    Which command to issue, and an optional count of operations.

COMMANDS

Each command may be abbreviated to whatever length makes it unique.

eof|weof count
    Write count (default: 1) end of file marks (tapemarks).

fsf count
    Skip forward count (default: 1) files.

bsf count
    Skip backward count (default: 1) files.

asf count
    Position to file number count (default: 0) where zero is beginning of tape. This is the same as a rewind followed by a fsf count.

rewind
    Rewind to beginning of tape.

offline|rewoffl
    Rewind to beginning of tape and unload the tape from the drive.

status
    Report status information about the drive. Which data reported, and what it means, depends on the underlying operating system, and may include:

    ONLINE
        Indicates the drive is online and ready.

    OFFLINE
        Indicates the drive is offline or not ready.

    BOT Indicates the drive is at beginning of tape.

    EOT Indicates the drive is at end of tape.

    PROTECTED
        Indicates the tape is write protected.

    ds  Device status.

    er  Error register.

    fileno
        Current tape file number.

    blkno
        Current tape block number file.

  Note
Many systems only report good data when a tape is in the drive and ready.

AUTHOR

Marc Mengel <mengel@fnal.gov>, John R. Jackson <jrj@purdue.edu>: Original text

Stefan G. Weichinger, <sgw@amanda.org>, maintainer of the AMANDA-documentation: XML-conversion

SEE ALSO

amanda(8)